﻿using PLplot;
using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
    static void Main(string[] args)
    {
        PLPlotEnv.SetEnv();

        const int yMin = -30;
        const int yMax = 100;

        const int xMin = -20;
        const int xMax = 20;

        Func<double, double> quad = (x) => x * x - 10;

        double[] xData = PythonUtils.Range(xMin, xMax, 0.1).ToArray();
        double[] yData = (from item in xData
                          select quad(item)).ToArray();

        using (var pl = new PLStream())
        {
            pl.sdev("png");
            pl.sfnam("test.png");
            pl.spal0("cmap0_alternate.pal");
            pl.init();

            pl.env(xMin, xMax, yMin, yMax, AxesScale.Independent, AxisBox.BoxTicksLabelsAxes);
            pl.lab("x", "y = x#u2#d - 10", "Simple PLplot demo of a 2D line plot");

            pl.line(xData, yData);
            pl.gver(out var verText);
        }
    }
}
